<!DOCTYPE html><html lang="en"><head><meta charSet="utf-8"/><meta http-equiv="X-UA-Compatible" content="IE=edge"/><title>Logs · Merge</title><meta name="viewport" content="width=device-width"/><meta name="generator" content="Docusaurus"/><meta name="description" content="&lt;p&gt;Logs for each core service are accessible through k8s or the local files system of the container running the service. This is because each service logs to stdout/stderr and the filesystem simultaneously and k8s captures stdout/stderr logs.&lt;/p&gt;
"/><meta name="docsearch:language" content="en"/><meta property="og:title" content="Logs · Merge"/><meta property="og:type" content="website"/><meta property="og:url" content="https://mergetb.gitlab.io/index.html"/><meta property="og:description" content="&lt;p&gt;Logs for each core service are accessible through k8s or the local files system of the container running the service. This is because each service logs to stdout/stderr and the filesystem simultaneously and k8s captures stdout/stderr logs.&lt;/p&gt;
"/><meta property="og:image" content="https://mergetb.gitlab.io/img/logo.png"/><meta name="twitter:card" content="summary"/><meta name="twitter:image" content="https://mergetb.gitlab.io/img/logo.png"/><link rel="shortcut icon" href="/img/merge.png"/><link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/dracula.min.css"/><link rel="alternate" type="application/atom+xml" href="https://mergetb.gitlab.io/blog/atom.xml" title="Merge Blog ATOM Feed"/><link rel="alternate" type="application/rss+xml" href="https://mergetb.gitlab.io/blog/feed.xml" title="Merge Blog RSS Feed"/><script type="text/javascript" src="https://buttons.github.io/buttons.js"></script><link rel="stylesheet" href="/css/main.css"/></head><body class="sideNavVisible separateOnPageNav"><div class="fixedHeaderContainer"><div class="headerWrapper wrapper"><header><a href="/"><img class="logo" src="/img/merge-light.svg" alt="Merge"/><h2 class="headerTitleWithLogo">Merge</h2></a><div class="navigationWrapper navigationSlider"><nav class="slidingNav"><ul class="nav-site nav-site-internal"><li class=""><a href="/docs/hello-world.html" target="_self">Experimentation</a></li><li class=""><a href="/docs/site-basics.html" target="_self">Site Hosting</a></li><li class="siteNavGroupActive"><a href="/docs/portal-admin.html" target="_self">Portal Hosting</a></li><li class=""><a href="/docs/tech.html" target="_self">Technology</a></li><li class=""><a href="/blog/" target="_self">News</a></li></ul></nav></div></header></div></div><div class="navPusher"><div class="docMainWrapper wrapper"><div class="container docsNavContainer" id="docsNav"><nav class="toc"><div class="toggleNav"><section class="navWrapper wrapper"><div class="navBreadcrumb wrapper"><div class="navToggle" id="navToggler"><i></i></div><h2><i>›</i><span>Administration</span></h2><div class="tocToggler" id="tocToggler"><i class="icon-toc"></i></div></div><div class="navGroups"><div class="navGroup"><h3 class="navGroupCategoryTitle">Installation</h3><ul><li class="navListItem"><a class="navItem" href="/docs/portal-admin.html">Overview</a></li><li class="navListItem"><a class="navItem" href="/docs/install.html">Portal Installation</a></li></ul></div><div class="navGroup"><h3 class="navGroupCategoryTitle">Administration</h3><ul><li class="navListItem"><a class="navItem" href="/docs/net-admin.html">Networks</a></li><li class="navListItem"><a class="navItem" href="/docs/service-admin.html">Core Services</a></li><li class="navListItem"><a class="navItem" href="/docs/db-admin.html">Databases</a></li><li class="navListItem"><a class="navItem" href="/docs/proxy-admin.html">Proxy</a></li><li class="navListItem"><a class="navItem" href="/docs/user-admin.html">Users, Pools &amp; Projects</a></li><li class="navListItem navListItemActive"><a class="navItem" href="/docs/logs.html">Logs</a></li></ul></div></div></section></div><script>
            document.addEventListener('DOMContentLoaded', function() {
              createToggler('#navToggler', '#docsNav', 'docsSliderActive');
              createToggler('#tocToggler', 'body', 'tocActive');

              const headings = document.querySelector('.toc-headings');
              headings && headings.addEventListener('click', function(event) {
                if (event.target.tagName === 'A') {
                  document.body.classList.remove('tocActive');
                }
              }, false);

              function createToggler(togglerSelector, targetSelector, className) {
                var toggler = document.querySelector(togglerSelector);
                var target = document.querySelector(targetSelector);

                if (!toggler) {
                  return;
                }

                toggler.onclick = function(event) {
                  event.preventDefault();

                  target.classList.toggle(className);
                };
              }
            });
        </script></nav></div><div class="container mainContainer"><div class="wrapper"><div class="post"><header class="postHeader"><h1 class="postHeaderTitle">Logs</h1></header><article><div><span><p>Logs for each core service are accessible through k8s or the local files system of the container running the service. This is because each service logs to stdout/stderr and the filesystem simultaneously and k8s captures stdout/stderr logs.</p>
<h2><a class="anchor" aria-hidden="true" id="k8s-based-log-access"></a><a href="#k8s-based-log-access" aria-hidden="true" class="hash-link"><svg class="hash-link-icon" aria-hidden="true" height="16" version="1.1" viewBox="0 0 16 16" width="16"><path fill-rule="evenodd" d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z"></path></svg></a>K8s-based log access</h2>
<p>To take a look at service logs through k8s, first get a list of the running pods and then select one to see the log for.</p>
<pre><code class="hljs css language-shell">kubectl get pods
</code></pre>
<pre><code class="hljs css language-shell">NAME                           READY     STATUS    RESTARTS   AGE
alloc-67cbfcd887-f4qf6         1/1       Running   0          15s
api-77664f867b-r7zzb           1/1       Running   0          39s
commission-7f957bdfd9-7f74n    1/1       Running   0          7s
discover-5c498657b7-tcnnv      1/1       Running   0          21s
materialize-5b7d4777bc-85vnb   1/1       Running   0          29s
realize-7fcb6c89b4-f55kf       1/1       Running   0          33s
workspace-5cf65f8f7f-d6xnp     1/1       Running   0          25s
</code></pre>
<pre><code class="hljs css language-shell">kubectl logs materialize-5b7d4777bc-85vnb
</code></pre>
<pre><code class="hljs css language-shell">time="2018-05-13T20:08:09Z" level=info msg="read configuration file"
time="2018-05-13T20:08:09Z" level=info msg="connecting to durable datastore murphy@px0:3306"
time="2018-05-13T20:08:09Z" level=info msg="connected to db"
</code></pre>
<h2><a class="anchor" aria-hidden="true" id="container-filesystem-log-acess"></a><a href="#container-filesystem-log-acess" aria-hidden="true" class="hash-link"><svg class="hash-link-icon" aria-hidden="true" height="16" version="1.1" viewBox="0 0 16 16" width="16"><path fill-rule="evenodd" d="M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z"></path></svg></a>Container filesystem log acess</h2>
</span></div></article></div><div class="docs-prevnext"><a class="docs-prev button" href="/docs/user-admin.html"><span class="arrow-prev">← </span><span>Users, Pools &amp; Projects</span></a></div></div></div><nav class="onPageNav"><ul class="toc-headings"><li><a href="#k8s-based-log-access">K8s-based log access</a></li><li><a href="#container-filesystem-log-acess">Container filesystem log acess</a></li></ul></nav></div><footer class="nav-footer" id="footer"><section class="sitemap"><a href="/" class="nav-home"><img src="/img/merge-light.svg" alt="Merge" width="66" height="58"/></a><div><h5>Docs</h5><a href="/docs/en/hello-world.html">Experimentation</a><a href="/docs/en/site-basics.html">Site Hosting</a><a href="/docs/en/portal-admin.html">Portal Hosting</a></div><div><h5>Community</h5><a href="/en/users.html">User Showcase</a><a href="https://mergetb.slack.com/">Project Chat</a></div><div><h5>More</h5><a href="/blog">Blog</a><a href="https://gitlab.com/mergetb">GitLab</a></div></section><section class="copyright">Copyright © 2018 Information Sciences Institute</section></footer></div></body></html>